Tekrarlayan transfer oluştur
curl --request POST \
--url https://transfer-sandbox.payven.com.tr/api/v1/recurringtransfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan_name": "<string>",
"connector_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"repeat_count": 123,
"is_indefinite": true,
"month_day": 123,
"week_days": [
123
],
"reminder_days": 123,
"notify_on_success": true,
"notify_on_error": true
}
'import requests
url = "https://transfer-sandbox.payven.com.tr/api/v1/recurringtransfers"
payload = {
"plan_name": "<string>",
"connector_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"repeat_count": 123,
"is_indefinite": True,
"month_day": 123,
"week_days": [123],
"reminder_days": 123,
"notify_on_success": True,
"notify_on_error": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan_name: '<string>',
connector_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recipient_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
description: '<string>',
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
repeat_count: 123,
is_indefinite: true,
month_day: 123,
week_days: [123],
reminder_days: 123,
notify_on_success: true,
notify_on_error: true
})
};
fetch('https://transfer-sandbox.payven.com.tr/api/v1/recurringtransfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"is_success": true,
"code": "<string>",
"data": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "https://docs.payven.com.tr/errors/bank_declined",
"title": "Banka işlemi reddetti",
"status": 422,
"code": "bank_declined",
"detail": "Yetersiz bakiye (banka kodu: 51)",
"provider_error_code": "51"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}RecurringTransfers
Tekrarlayan transfer oluştur
POST
/
api
/
v1
/
recurringtransfers
Tekrarlayan transfer oluştur
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Body
application/json
Available options:
TRY, USD, EUR Available options:
EFT, Fast, Remittance, CreditCard Available options:
Daily, Weekly, Monthly, Yearly Available options:
Indefinite, Count, Date Available options:
Next, Previous, Skip ⌘I